com.amazonaws.services.codedeploy.model

## Class TriggerConfig

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.TriggerConfig

All Implemented Interfaces:
  Serializable, Cloneable

    public class TriggerConfig
    extends Object
    implements Serializable, Cloneable

Information about notification triggers for the deployment group.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TriggerConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TriggerConfig` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getTriggerEvents()` The event type or types for which notifications are triggered.
`String` `getTriggerName()` The name of the notification trigger.
`String` `getTriggerTargetArn()` The ARN of the Amazon Simple Notification Service topic through which notifications about deployment or instance events are sent.
`int` `hashCode()`
`void` `setTriggerEvents(Collection<String> triggerEvents)` The event type or types for which notifications are triggered.
`void` `setTriggerName(String triggerName)` The name of the notification trigger.
`void` `setTriggerTargetArn(String triggerTargetArn)` The ARN of the Amazon Simple Notification Service topic through which notifications about deployment or instance events are sent.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`TriggerConfig` `withTriggerEvents(Collection<String> triggerEvents)` The event type or types for which notifications are triggered.
`TriggerConfig` `withTriggerEvents(String... triggerEvents)` The event type or types for which notifications are triggered.
`TriggerConfig` `withTriggerEvents(TriggerEventType... triggerEvents)` The event type or types for which notifications are triggered.
`TriggerConfig` `withTriggerName(String triggerName)` The name of the notification trigger.
`TriggerConfig` `withTriggerTargetArn(String triggerTargetArn)` The ARN of the Amazon Simple Notification Service topic through which notifications about deployment or instance events are sent.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TriggerConfig

    public TriggerConfig()

### Method Detail

#### setTriggerName

    public void setTriggerName(String triggerName)

The name of the notification trigger.

Parameters:
  `triggerName` - The name of the notification trigger.

#### getTriggerName

    public String getTriggerName()

The name of the notification trigger.

Returns:
  The name of the notification trigger.

#### withTriggerName

    public TriggerConfig withTriggerName(String triggerName)

The name of the notification trigger.

Parameters:
  `triggerName` - The name of the notification trigger.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTriggerTargetArn

    public void setTriggerTargetArn(String triggerTargetArn)

The ARN of the Amazon Simple Notification Service topic through which notifications about deployment or instance events are sent.

Parameters:
  `triggerTargetArn` - The ARN of the Amazon Simple Notification Service topic through which notifications about deployment or instance events are sent.

#### getTriggerTargetArn

    public String getTriggerTargetArn()

The ARN of the Amazon Simple Notification Service topic through which notifications about deployment or instance events are sent.

Returns:
  The ARN of the Amazon Simple Notification Service topic through which notifications about deployment or instance events are sent.

#### withTriggerTargetArn

    public TriggerConfig withTriggerTargetArn(String triggerTargetArn)

The ARN of the Amazon Simple Notification Service topic through which notifications about deployment or instance events are sent.

Parameters:
  `triggerTargetArn` - The ARN of the Amazon Simple Notification Service topic through which notifications about deployment or instance events are sent.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getTriggerEvents

    public List<String> getTriggerEvents()

The event type or types for which notifications are triggered.

Returns:
  The event type or types for which notifications are triggered.
See Also:
  `TriggerEventType`

#### setTriggerEvents

    public void setTriggerEvents(Collection<String> triggerEvents)

The event type or types for which notifications are triggered.

Parameters:
  `triggerEvents` - The event type or types for which notifications are triggered.
See Also:
  `TriggerEventType`

#### withTriggerEvents

    public TriggerConfig withTriggerEvents(String... triggerEvents)

The event type or types for which notifications are triggered.

NOTE: This method appends the values to the existing list (if any). Use `setTriggerEvents(java.util.Collection)` or `withTriggerEvents(java.util.Collection)` if you want to override the existing values.

Parameters:
  `triggerEvents` - The event type or types for which notifications are triggered.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `TriggerEventType`

#### withTriggerEvents

    public TriggerConfig withTriggerEvents(Collection<String> triggerEvents)

The event type or types for which notifications are triggered.

Parameters:
  `triggerEvents` - The event type or types for which notifications are triggered.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `TriggerEventType`

#### withTriggerEvents

    public TriggerConfig withTriggerEvents(TriggerEventType... triggerEvents)

The event type or types for which notifications are triggered.

Parameters:
  `triggerEvents` - The event type or types for which notifications are triggered.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `TriggerEventType`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public TriggerConfig clone()

Overrides:
  `clone` in class `Object`